<?php namespace Webien\Setup\Jet;


class Setup
{
    public function init()
    {
        if (!defined('WP_INSTALLING') && did_action('elementor/loaded') && class_exists('acf')) {

            // Register Dynamic tags
            add_action( 'jet-engine/register-macros', [$this, 'register_dynamic_tags']);
        }
    }


    function register_dynamic_tags()
    {
        // Include the Dynamic tag class file
        include_once( WEBIEN_PLUGIN_PATH.'/src/Jet/DynamicTags/SelectedPosts.php' );

        // Register the Dynamic tag class
        (new \Webien\Setup\Jet\DynamicTags\SelectedPosts());

    }


}
